@import "reset.css";

@font-face{

	font-family: "fira";
	src:url("../fonts/fira/FiraCode-Medium.otf");
}

@font-face{

	font-family: "vre";
	src:url("../fonts/vre/VremenaGroteskMedium.otf");

}
@font-face{

	font-family: "vreB";
	src:url("../fonts/vre/VremenaGroteskBook.otf");

}

html{

	font-size: 16px;
}

$cBodyBg: rgb(0, 7, 20);
$cText: rgb(255,255,255);
$cCodeBg: rgb(20,20,20);
$cTextHvr: rgb(240,163,255);
$cCodeBlue: rgb(102, 218, 225);
$cCodeYellow: rgb( 249, 255, 0 );
$cCodeGreen: rgb(174, 255, 163);
$cCodeTurq: rgb(95, 241, 255);


body{

	display: flex;
	flex-wrap: wrap;
	font-family: sans-serif;
	line-height: 1.2rem;
	font-family: "vre";
	padding: 0 0 6rem 0;
	background-color: $cBodyBg;
	color:$cText;

	.rainbow {

		   /* Chrome, Safari, Opera */
		  -webkit-animation: rainbow 3s infinite;

		  /* Internet Explorer */
		  -ms-animation: rainbow 3s infinite;

		  /* Standar Syntax */
		  animation: rainbow 3s infinite;
		}

		/* Chrome, Safari, Opera */
		@-webkit-keyframes rainbow{
		  	0%{color: $cCodeTurq;}
		  	10%{color: pink;}
			20%{color: $cText;}
		  	30%{color:	pink;}
			40%{color: $cTextHvr;}
		  	50%{color: $cCodeBlue;}
			60%{color: $cCodeYellow;}
		  	70%{color: $cCodeGreen;}
		  	80%{color: yellow;}
		  	90%{color: pink;}
			100%{color: $cCodeTurq;}
		}

	a:hover{

		color: $cTextHvr;
	}

	.hljs-keyword,
	.hljs-selector-tag,
	.hljs-built_in,
	.hljs-name,
	.hljs-tag {
    color: $cCodeBlue;
	}
	.hljs-string,
	.hljs-title,
	.hljs-section,
	.hljs-attribute,
	.hljs-literal,
	.hljs-template-tag,
	.hljs-template-variable,
	.hljs-type,
	.hljs-addition {
    color: $cCodeYellow;
	}
	.hljs-comment,
	.hljs-quote,
	.hljs-variable {
    color: $cCodeGreen;
	}
	.hljs-deletion,
	.hljs-selector-attr,
	.hljs-selector-pseudo,
	.hljs-meta {
    color: $cCodeTurq;
	}

	.hljs{

		font-family: "fira";
		margin: 0 0 1rem 0;
		background-color: $cCodeBg;
		color: white;
	}

	>header{

		padding: 1rem;
		position: fixed;
		width: 17%;
		height: 100vh;
		overflow-y: scroll;
		background-color: rgb(23, 23, 23);

		.title{

			margin: 0 0 1rem 0;


			}
		}

		nav{

			a{

				display: block;
			}

			.lang{

				.tips{

					display: none;
					margin: 0.5rem 0 1rem 0;
					font-family: "vreB";
					>a{

						display: flex;
					}

					>a::before{

						content: "×";
						margin: 0 0.5rem 0 0;
						display: inline-block;
					}

				}
			}

			.lang.open{

				.tips{

					display: block;
				}
			}
		}
	}

	main{

		padding: 1rem 10% 0 20%;
		width: 100%;


		.lang{

			padding: 2rem 0 0 0;
			margin: 0 0 1rem 0;

			code {
				color: $cCodeGreen;
			}

			pre code:not(.output):before {
				font-size: 10px;
				content: ' in >';
				position: absolute;
				margin-left: -50px;
				color: #555;
			} 
			pre code.output:before {
				font-size: 10px;
				content: 'out >';
				position: absolute;
				margin-left: -50px;
				color: #555;
			}

			p {
				font-family: "vreB";
				strong{
					font-weight: bold;
				}
			}

			h2{

				font-size: 1.5rem;
				margin: 0 0 1rem 0;
				font-size: 3rem;
				font-family: "vreB";
				border-top: solid 1px white;
				padding-top: inherit;

			}

			ul{

				li{

					padding: 0.5rem 0 0 0;
					margin: 0 0 0.5rem 0;

					h3{
						text-decoration: underline;
						margin: 0 0 0.5rem 0;
					}
				}
			}
		}
	}
